<?php
if(function_exists('vc_map')) {
	add_action( 'init', 'mascot_core_educacion_reg_shortcodes_resources', 998 );
}
function mascot_core_educacion_reg_shortcodes_resources() {


	vc_map( 
		array(
			'name'     => esc_html__( 'Resource Thumb', 'mascot-core' ),
			'base'     => 'tmvc_resources_thumb',
			'description' => esc_html__( 'Resources', 'mascot-core' ),
			'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
			'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
			'params'   => array(
				array(
					'type'			=> 'dropdown',
					"heading"		=> esc_html__( "Thumbnail Image Size", 'mascot-core' ),
					"param_name"	=> "thumb_image_size",
					'description'   => '',
					'value'			=> mascot_core_educacion_get_available_image_sizes_for_vc(),
					'std'			=> 'educacion_mascot_square',
					'admin_label'   => true,
				),
				mascot_core_educacion_vc_add_css_editor(),
			)
		)
	);
	class WPBakeryShortCode_tmvc_resources_thumb extends WPBakeryShortCode {
	}


	vc_map( array(
		'name'     => esc_html__( 'Resource Info', 'mascot-core' ),
		'base'     => 'tmvc_resources_info',
		'description' => esc_html__( 'Resources', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			mascot_core_educacion_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_resources_info extends WPBakeryShortCode {
	}


	vc_map( array(
		'name'     => esc_html__( 'Resource Contact Info', 'mascot-core' ),
		'base'     => 'tmvc_resources_contact_info',
		'description' => esc_html__( 'Resources', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			mascot_core_educacion_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_resources_contact_info extends WPBakeryShortCode {
	}


	vc_map( array(
		'name'     => esc_html__( 'Resource Appointment URL', 'mascot-core' ),
		'base'     => 'tmvc_resources_appointment_url',
		'description' => esc_html__( 'Resources', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			mascot_core_educacion_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_resources_appointment_url extends WPBakeryShortCode {
	}


	vc_map( array(
		'name'     => esc_html__( 'Resource Short Bio', 'mascot-core' ),
		'base'     => 'tmvc_resources_short_bio',
		'description' => esc_html__( 'Resources', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			mascot_core_educacion_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_resources_short_bio extends WPBakeryShortCode {
	}


	vc_map( array(
		'name'     => esc_html__( 'Resource Working Hours', 'mascot-core' ),
		'base'     => 'tmvc_resources_working_hours',
		'description' => esc_html__( 'Resources', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			mascot_core_educacion_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_resources_working_hours extends WPBakeryShortCode {
	}


	vc_map( array(
		'name'     => esc_html__( 'Resource Social Info', 'mascot-core' ),
		'base'     => 'tmvc_resources_social_info',
		'description' => esc_html__( 'Resources', 'mascot-core' ),
		'category' => esc_html__( 'by TM Partials', 'mascot-core' ),
		'icon'	   => 'mascot-vc-icons vc-icon-tm-parts',
		'params'   => array(
			mascot_core_educacion_vc_add_css_editor(),
		)
	) );
	class WPBakeryShortCode_tmvc_resources_social_info extends WPBakeryShortCode {
	}
}